<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2010-01-13
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/comunfin.inc.php
 */

//ACCIONES COMUNES AL FINAL DE CADA SCRIPT

//¡¡NO EDITAR!!
//Si quieres añadir acciones al final de cada script, hazlo en config/customfin.inc.php

if($_SERVER['PHP_SELF'] != '/servererror.php')
{
	$_SESSION["control"] = GenerateRandomKey(9);
}

//Contenido
$swphp_pagina->ProcesarContenido();

//Estilo
if($swphp_pagina->GetValue('estilo_id') == 0)
{
	//Si la página a mostrar no tiene estilo, le pongo el por defecto
	$swphp_pagina->SetValue('estilo_id', SWPHP::_GetPorDefecto("estilos"));
}
$smarty->assign('swphp_estilo', $db->GetRow("SELECT * FROM ".SWPHP_DBPREFIX."estilos WHERE id = ".intval($swphp_pagina->GetValue('estilo_id'))));

//Bloques
$swphp_bloques = array();
$claves = $db->GetValuesQuery("SELECT m.clave FROM ".SWPHP_DBPREFIX."modulos AS m JOIN ".SWPHP_DBPREFIX."bloques AS b ON m.id = b.modulo_id WHERE b.activo = 1 ORDER BY peso ASC", false);
foreach($claves as $clave)
{
	$file = SWPHP_MODULES_DIR."{$clave}/bloque.inc.php";
	if(is_file($file) && is_file(SWPHP_MODULES_DIR."{$clave}/tpl/bloque.tpl"))
	{
		$swphp_bloques[] = $clave;
		include($file);
	}
}
$smarty->assign('swphp_bloques', $swphp_bloques);

$smarty->assign(array(
	'swphp_config'=>$swphp_config,
	'swphp_idiomas'=>$swphp_idiomas,
	'swphp_mensajes'=>$swphp_mensajes,
	'swphp_pagina'=>$swphp_pagina,
	'swphp_portada'=>$swphp_portada,
	'swphp_administracion'=>$swphp_administracion,
	'swphp_extrahead'=>$swphp_extrahead,
	'swphp_documentready'=>$swphp_documentready,
	'swphp_mod_clave'=>isset($swphp_mod_clave) ? $swphp_mod_clave : '',
	'swphp_module_dir'=>$swphp_module_dir,
	'swphp_module_templates_dir'=>$swphp_module_templates_dir,
	'swphp_permiso_id'=>isset($swphp_permiso_id) ? $swphp_permiso_id : SWPHP_PERMISO_ACCESOPROHIBIDO,
	));

if(!isset($swphp_main_template) || !$swphp_main_template)
{
	$swphp_main_template = 'pagina.tpl';
}

if($swphp_main_template != 'pagina_cron.tpl')
{
	//Cargar código personalizado si existe
	if(is_file('config/customfin.inc.php'))
	{
		include('config/customfin.inc.php');
	}
}

//XAJAX
$smarty->assign('xajax', $xajax->getJavascript('xajax'));

$smarty->display($swphp_main_template);

//Lo hago después del display para poder utilizar el de la carga anterior desde las plantillas
if(strpos($_SERVER['REQUEST_URI'], '/'.SWPHP_THEMES_DIR) === false) //En algunos servidores se hace la picha un lío
{
	if(!in_array(getExtension($_SERVER['REQUEST_URI']), array('jpg', 'gif', 'png'))) //No quiero que coja imágenes que faltan
	{
		$_SESSION['REQUEST_URI'] = $_SERVER['REQUEST_URI'];
	}
}

$db->Close();
