<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-04-11
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/faq/admin/index.php
 *
 */

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';

$mostrarprincipal = true;

switch($op)
{
	case "edit":
		$registro = $db->GetRow("SELECT id, peso FROM ".SWPHP_DBPREFIX."faq WHERE id = '{$id}'");
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT pregunta, respuesta, tags FROM ".SWPHP_DBPREFIX."faq_idiomas WHERE faq_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}
		$smarty->assign("registro", $registro);
	case "new":
		$admin_template = "{$swphp_module_templates_dir}admin/item.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");

		break;
	case "upd":
		if(faq_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Update(faq_prepararDatos($_POST, $id), SWPHP_DBPREFIX."faq", $id),
				"Pregunta actualizada correctamente",
				"No se ha podido actualizar el registro"
			))
			{
				foreach($swphp_idiomas as $idioma)
				{
					$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'faq_idiomas', "WHERE faq_id = '{$id}'") ?
						buildQuery_Update(faq_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."faq_idiomas", array('faq_id'=>$id, 'idioma_id'=>$idioma['id']))
						:
						buildQuery_Insert(faq_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."faq_idiomas");

					SWPHP::_ExecuteQuery(
						$query,
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
	case "reg":
		if(faq_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert(faq_prepararDatos($_POST), SWPHP_DBPREFIX."faq"),
				"Pregunta registrada correctamente",
				"No se ha podido insertar el registro"
			))
			{
				$id = $db->Insert_id();

				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Insert(faq_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."faq_idiomas"),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador('preguntas');
	$paginador->SetParam('etiqueta', 'pregunta');
	$paginador->Fill("SELECT f.id, IF(LENGTH(fi.pregunta) > 80, CONCAT(SUBSTRING(fi.pregunta,1,77),'...'), fi.pregunta) AS pregunta, f.peso, f.activo"
		." FROM ".SWPHP_DBPREFIX."faq AS f"
		." LEFT JOIN ".SWPHP_DBPREFIX."faq_idiomas AS fi ON fi.faq_id = f.id AND fi.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."'"
		." ORDER BY f.peso ASC, f.id ASC"
		);

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>"Id.", "class"=>"numeric"),
		'pregunta'=>array("label"=>"Pregunta"),
		'peso'=>array("label"=>"Peso", "class"=>"numeric"),
		'activo'=>array("label"=>"", "orderby"=>false)
		));

	$paginador->SetParam('buscador', array(
		'fi.pregunta'=>'Pregunta',
		'fi.respuesta'=>'Respuesta',
		'f.id'=>'Id.',
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave;

		$id = $reg['id'];

		$reg["activo"] = "<a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
			.($reg["activo"] ?
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Desactivar\">".SWPHP::_Icon("green_button.png", 16, array("alt"=>"Desactivar"))."</a>"
				:
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Activar\">".SWPHP::_Icon("red_button.png", 16, array("alt"=>"Activar"))."</a>")
			." <a id=\"aEliminar{$id}\" href=\"javascript:EliminarPregunta({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar"))."</a>";
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/faq.tpl";

	$smarty->assign('paginador', $paginador);
}
?>