<?php
/**
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2012-05-13
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/movimientos/admin/index.php
 *
 */

$fd = isset($_GET["fd"]) ? trim($_GET["fd"]) : false;
$fh = isset($_GET["fh"]) ? trim($_GET["fh"]) : false;
$us = isset($_GET["us"]) ? intval($_GET["us"]) : false;
$ti = isset($_GET["ti"]) ? intval($_GET["ti"]) : false;
$in = isset($_GET["in"]) ? trim($_GET["in"]) : false;

$filtro_fd = $fd ? sprintf(" AND SUBSTRING(m.fechayhora, 1, LENGTH('%s')) >= '%s'", addcslashes($fd, "'"), addcslashes($fd, "'")) : "";
$filtro_fh = $fh ? sprintf(" AND SUBSTRING(m.fechayhora, 1, LENGTH('%s')) <= '%s'", addcslashes($fh, "'"), addcslashes($fh, "'")) : "";
$filtro_us = $us ? sprintf(" AND m.user_id = '%u'", $us) : "";
$filtro_ti = $ti ? sprintf(" AND m.tipo_id = '%u'", $ti) : "";
$filtro_in = $in ? sprintf(" AND m.info LIKE _utf8 '%%%s%%' COLLATE utf8_general_ci", addcslashes($in, "'")) : "";

$paginador = SWPHP::_CrearPaginador('movimientos');
$paginador->SetParam('etiqueta', l('movimiento', 'kapitaltruth'));
$paginador->Fill("SELECT m.fechayhora, CONCAT('(',u.nick,') ',ku.nombre) AS usuario, tm.nombre AS tipo, m.info, m.puntos, m.saldo"
	." FROM ".SWPHP_DBPREFIX."kptl_movimientos AS m"
	." LEFT JOIN ".SWPHP_DBPREFIX."kptl_usuarios AS ku ON ku.id = m.user_id"
	." LEFT JOIN ".SWPHP_DBPREFIX."users AS u ON u.id = ku.user_id"
	." LEFT JOIN ".SWPHP_DBPREFIX."kptl_tiposmovimiento AS tm ON tm.id = m.tipo_id"
	." WHERE 1".$filtro_fd.$filtro_fh.$filtro_ti.$filtro_in.$filtro_us
	." ORDER BY m.fechayhora DESC, m.id DESC"
	);
$paginador->SetParam('campos', array(
	'fechayhora'=>array('label'=>l('Fecha', 'kapitaltruth'), 'style'=>'width:80px'),
	'usuario'=>array('label'=>l('Usuario', 'kapitaltruth'), 'style'=>'width:220px'),
	'tipo'=>array('label'=>l('Tipo', 'kapitaltruth'), 'style'=>'width:180px'),
	'info'=>array('label'=>l('Información', 'kapitaltruth')),
	'puntos'=>array('label'=>l('[KPTL_Puntos]', 'kapitaltruth'), 'class'=>'numeric', 'style'=>'width:80px'),
	'saldo'=>array('label'=>l('Saldo', 'kapitaltruth'), 'class'=>'numeric', 'style'=>'width:80px'),
	));
$paginador->SetParam('camposEstrictos', true);
$paginador->SetParam('buscador', false);
$paginador->SetParam('permitirOrdenacion', false);
/*$paginador->SetParam('formato_tabla', array(
	'class'=>'listado middle',
	'width'=>'100%',
	'cellpadding'=>'0',
	'cellspacing'=>'0',
	'border'=>'0',
	));*/

function applyToReg(&$reg, $key)
{
	global $db;

	$reg['fechayhora'] = substr($reg['fechayhora'], 0, 10).'<span class="mini">'.substr($reg['fechayhora'], 10).'</span>';
	$reg['tipo'] = l($reg['tipo'], 'kapitaltruth');
	$reg['puntos'] .= ' '.l('[KPTL_puntos]', 'kapitaltruth');
	$reg['saldo'] .= ' '.l('[KPTL_puntos]', 'kapitaltruth');
}
$paginador->SetParam('applyToRegs', 'applyToReg');

$smarty->assign(array(
	'fd'=>$fd,
	'fh'=>$fh,
	'us'=>$us,
	'ti'=>$ti,
	'in'=>$in,
	'tiposmovimiento'=>$db->GetRows("SELECT id, nombre FROM ".SWPHP_DBPREFIX."kptl_tiposmovimiento", true, false),
	'us_nombre'=>KPTL_User::Id2NickNombre($us),
	'paginador'=>$paginador
	));

$admin_template = "{$swphp_module_templates_dir}admin/movimientos/movimientos.tpl";
?>
