{*
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2010-01-10
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/micuenta/tpl/admin/micuenta.tpl
 *
 *}
<script type="text/javascript" src="js/PasswordTester.js"></script>
<script type="text/javascript"><!--
var tester = new PasswordTester();
//-->
</script>
<form id="form_micuenta" action="{$smarty.const.SWPHP_ADMIN_DIR|cat:$swphp_mod_clave}/" method="post" onsubmit="return validador.ValidarForm(this.id)">
<div class="center">
<table class="center">
	<tr>
		<td class="flabel">Nick</td>
		<td>
			{$registro.nick}
			<div class="fhelp">Tu nombre o alias de usuario</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Email</td>
		<td>
			{$registro.email}
			<div class="fhelp">Tu dirección de email (ha de ser un email válido y en uso)</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Perfil</td>
		<td>
			{$perfiles[$registro.perfil_id]}
			<div class="fhelp">Tu perfil de usuario, determina qué puedes y qué no puedes hacer</div>
		</td>
	</tr>
{if sizeof($swphp_idiomas) > 1}
	<tr>
		<td class="flabel">Idioma</td>
		<td>
			<select name="idioma_id" id="idioma_id">
				<option value="0"></option>
			{foreach from=$swphp_idiomas item=idioma}
				<option value="{$idioma.id}" {if $registro.idioma_id == $idioma.id}selected="selected"{/if}>{$idioma.nombre}</option>
			{/foreach}
			</select>
			<div class="fhelp">El idioma en el que quieres ver la web</div>
		</td>
	</tr>
{/if}
	<tr>
		<td class="flabel">Contraseña actual</td>
		<td>
			<input type="password" name="apass" id="apass" size="20" maxlength="{$smarty.const.SWPHP_PASSWORD_MAXLENGTH}" value="" class="requerido" title="Contraseña actual" />
			<div class="fhelp">Indica tu contraseña actual para realizar cualquier cambio</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Nueva contraseña</td>
		<td>
			<input type="password" name="pass" id="pass" size="20" maxlength="{$smarty.const.SWPHP_PASSWORD_MAXLENGTH}" value="" class="pass" title="Nueva contraseña" onkeyup="tester.showInfo(this.value, 'span_testpassword')" />
			<span id="span_testpassword" class="mini"></span>
			<div class="fhelp">Indica una nueva contraseña sólo si deseas cambiarla</div>
		</td>
	</tr>
	<tr>
		<td class="flabel">Confirmar contraseña</td>
		<td>
			<input type="password" name="cpass" id="cpass" size="20" maxlength="{$smarty.const.SWPHP_PASSWORD_MAXLENGTH}" value="" class="confirmpass" title="Confirmar contraseña" />
			<div class="fhelp">Repite tu nueva contraseña si la estás cambiando</div>
		</td>
	</tr>
	<tr>
		<td></td>
		<td class="separado1">
			<a href="javascript:;" onclick="popupAcercaPass.open();" class="ayuda_ mini">Acerca de las contraseñas</a>
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
{foreach from=$camposuser item=campouser}
	{if $campouser.permiso_id <= $swphp_permiso_id}
	<tr>
		<td class="flabel">{$campouser.nombre}</td>
		<td>{if $campouser.permisos[$registro.perfil_id] > $smarty.const.SWPHP_PERMISO_SOLOLECTURA}{swphp_info2html info=$campouser.info name='camposuser['|cat:$campouser.id|cat:']' valor=$registro.camposuser[$campouser.id]}{else}{swphp_info2readonly info=$campouser.info valor=$registro.camposuser[$campouser.id]}{/if}</td>
	</tr>
	{/if}
{/foreach}
	<tr>
		<td class="center separado1" colspan="2"><br />
			<input type="submit" value="Aceptar" class="boton" name="sent" />
			<input type="button" value="Cancelar" onclick="window.location.replace('{$smarty.const.SWPHP_ADMIN_DIR}')" class="boton" />
		</td>
	</tr>
</table>
</div>
</form>
<div id="div_acercapass" style="display:none">
	<p>Ninguna contraseña es totalmente segura, pero se puede minimizar el riesgo de que
	pueda ser utilizada por terceros. Crea una contraseña "fuerte", procura memorizarla
	sin	anotarla en ninguna parte, y cámbiala periódicamente.</p>
	<p>Una contraseña fuerte debe ser suficientemente larga, al azar, o producirse sólo por
	el usuario que la eligió, de modo tal que el 'adivinarla' requiera un largo tiempo.
	Ese tiempo 'demasiado largo' variará de acuerdo al atacante, sus recursos, la facilidad
	con la que la contraseña se pueda descubrir, y la importancia de ésta para el atacante.
	Por ejemplo, una contraseña de un estudiante quizás no valga la pena para invertir
	más de algunos segundos en la computadora, mientras que la contraseña para acceder al
	control de una transferencia de dinero del sistema de un banco puede valer varias semanas
	de trabajo en una computadora.</p>
	<p>Una contraseña débil sería una que fuese muy corta o que fuese la predeterminada,
	o una que pudiera adivinarse rápidamente al buscar una serie de palabras que es posible
	encontrar en diccionarios, nombres propios, palabras basadas en variaciones del nombre
	del usuario,... Ten en cuenta que un atacante puede programar una computadora para que
	realice miles de tentativas en muy poco tiempo. Nuestro sistema está preparado para
	dificultar estos ataques, pero, al igual que las contraseñas, ningún sistema es
	totalmente seguro.</p>
	<p>"Fuerte" y "débil" tienen significado solamente con respecto a tentativas de descubrir
	la contraseña de un usuario, ya sea por una persona que conoce al usuario, o una computadora
	que trate de usar millones de combinaciones. En este contexto, los términos pueden tener
	una precisión considerable. Pero nótese que una contraseña "fuerte" en este sentido puede
	ser robada, truqueada o extraída del usuario, ya sea mediante la extracción del historial
	de un teclado, grabada mediante aparatos de comunicación, o copiada de notas dejadas por
	olvido.</p>
	<p>El método más efectivo para generar contraseñas es seleccionar suficientes caracteres
	al azar, aunque este tipo de contraseñas son las más difíciles de recordar. Algunos usuarios
	desarrollan frases o palabras compuestas que tienen letras al azar como iniciales de varias
	palabras.</p>
	<p>Procura que tu contraseña cumpla todos estos puntos:
		<ul>
			<li>Que tenga una longitud de al menos 8 caracteres</li>
			<li>Que contenga letras tanto mayúsculas como minúsculas</li>
			<li>Que contenga números</li>
			<li>Que contenga algún carácter no alfanumérico, como @, #, -, _,...</li>
			<li>Que no se asemeje a ninguna palabra o frase</li>
		</ul>
	</p>
</div>
<script type="text/javascript"><!--
tester.showInfo('', 'span_testpassword');
var popupAcercaPass = new jPopup('div_acercapass', 'Acerca de las contraseñas');
//-->
</script>