<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-03-15
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/noticias/functions.inc.php
 *
 */

/**
 * Asigna los valores correspondientes a las imágenes de una noticia
 *
 * @param array $noticia
 * @return array
 */
function noticias_asignarImagenes($noticia)
{
	if($noticia["imagen"] && is_file($noticia["imagen"]))
	{
		$imagedir = dirname($noticia["imagen"]);
		$imagefile = basename($noticia["imagen"]);

		$noticia["imagen_thumb"] = "{$imagedir}/thumbs/{$imagefile}";
		$noticia["imagen_preview"] = "{$imagedir}/preview/{$imagefile}";
	}
	else
	{
		$noticia["imagen"] = "";
		$noticia["imagen_thumb"] = "";
		$noticia["imagen_preview"] = "";
	}

	return $noticia;
}
?>