<?php
/**
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2011-09-14
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/perfiles/admin/index.php
 *
 */

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';


$mostrarprincipal = true;

switch($op)
{
	case "edit":
		$registro = $db->GetRow("SELECT id FROM ".SWPHP_DBPREFIX."perfiles WHERE id = '{$id}'");
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT nombre FROM ".SWPHP_DBPREFIX."perfiles_idiomas WHERE perfil_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}
		$smarty->assign("registro", $registro);
		//sigue
	case "new":
		$admin_template = "{$swphp_module_templates_dir}admin/perfil.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");

		break;
	case "upd":
		if(perfiles_validarDatos($_POST))
		{
			if(SWPHP::_Msg("Perfil actualizado correctamente", 'check') || true /*SWPHP::_ExecuteQuery(
				buildQuery_Update(perfiles_prepararDatos($_POST, $id), SWPHP_DBPREFIX."perfiles", $id),
				"Perfil actualizado correctamente",
				"No se ha podido actualizar el perfil"
				)*/)
			{
				foreach($swphp_idiomas as $idioma)
				{
					$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'perfiles_idiomas', "WHERE perfil_id = '{$id}'") ?
						buildQuery_Update(perfiles_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."perfiles_idiomas", array('perfil_id'=>$id, 'idioma_id'=>$idioma['id']))
						:
						buildQuery_Insert(perfiles_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."perfiles_idiomas");

					SWPHP::_ExecuteQuery(
						$query,
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}

		break;
	case "reg":
		if(perfiles_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert(perfiles_prepararDatos($_POST), SWPHP_DBPREFIX."perfiles"),
				"Perfil registrado correctamente",
				"No se ha podido insertar el perfil"
				))
			{
				$id = $db->Insert_Id();
				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Insert(perfiles_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."perfiles_idiomas"),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}

		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador('perfiles');
	$paginador->SetParam('etiqueta', 'perfil');
	$paginador->Fill("SELECT p.id, pi.nombre, '' AS controles"
		." FROM ".SWPHP_DBPREFIX."perfiles AS p"
		." LEFT JOIN ".SWPHP_DBPREFIX."perfiles_idiomas AS pi ON pi.perfil_id = p.id AND pi.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."'"
		." ORDER BY pi.nombre ASC, p.id ASC");

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>"Id.", "class"=>"numeric"),
		'nombre'=>array("label"=>"Nombre"),
		'controles'=>array("label"=>"", "orderby"=>false)
		));

	$paginador->SetParam('buscador', array(
		'i.nombre'=>'Nombre',
		'i.id'=>'Id.',
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave;

		$id = $reg['id'];

		$nombre=$reg['nombre'];
		$reg['controles'] = "<a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
						." <a id=\"aEliminar{$id}\" href=\"javascript:EliminarPerfil({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar"))."</a>";
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/perfiles.tpl";

	$smarty->assign('paginador', $paginador);
}
?>
