<?php
/**
 * Armando Servillera Torres
 * www.pagina-web-barata.com
 * 2011-06-26
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/permisos/admin/index.php
 *
 */

//SWPHP::_VarExport($_POST);

//Recibir formulario
if(isset($_POST['permisos']) && is_array($_POST['permisos']))
{
	$ok = true;
	$permisos = $_POST['permisos'];
	foreach($permisos as $modulo_id=>$perfiles)
	{
		foreach($perfiles as $perfil_id=>$permiso_id)
		{
			$modulo_id = intval($modulo_id);
			$perfil_id = intval($perfil_id);
			$permiso_id = intval($permiso_id);

			$query = $db->Exists($modulo_id, 'modulo_id', SWPHP_DBPREFIX.'modulos_perfiles', "WHERE perfil_id = '{$perfil_id}'") ?
				sprintf("UPDATE ".SWPHP_DBPREFIX."modulos_perfiles SET permiso_id = '%u' WHERE perfil_id = '%u' AND modulo_id = '%u'", $permiso_id, $perfil_id, $modulo_id)
				:
				sprintf("INSERT INTO ".SWPHP_DBPREFIX."modulos_perfiles(permiso_id, perfil_id, modulo_id) VALUES('%u', '%u', '%u')", $permiso_id, $perfil_id, $modulo_id);

			//SWPHP::_Msg($query);

			$ok = $ok && SWPHP::_ExecuteQuery(
				$query,
				"",
				"No se pudo guardar el permiso para el perfil {$perfil_id} del módulo {$modulo_id}"
				);
		}
	}

	if($ok)
	{
		SWPHP::_Msg("Todos los permisos se asignaron correctamente", "check");
	}
	else
	{
		SWPHP::_Msg("Los permisos se asignaron con algún error", "aviso");
	}
}

$perfiles = SWPHP::_GetPerfilesRows(0, 999999, 'p.id ASC');
$permisos = $db->GetRows("SELECT id, nombre FROM ".SWPHP_DBPREFIX."permisos ORDER BY id ASC");
$modulos = $db->GetRows("SELECT id, titulo FROM ".SWPHP_DBPREFIX."modulos ORDER BY titulo ASC");
for($c=0,$size=sizeof($modulos); $c<$size; $c++)
{
	$modulos[$c]["permisos"] = $db->GetArrayForHTMLSelectQuery("SELECT perfil_id, permiso_id FROM ".SWPHP_DBPREFIX."modulos_perfiles WHERE modulo_id = '{$modulos[$c]["id"]}'");
}

$smarty->assign("perfiles", $perfiles);
$smarty->assign("permisos", $permisos);
$smarty->assign("modulos", $modulos);

$admin_template = "{$swphp_module_templates_dir}admin/permisos.tpl";
?>
