<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty number_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getName<br>
 * Purpose:  Gets the name of a given file
 * @link
 * @author   José Carlos Cruz Parra AKA Internia
 * @return string
 */
function smarty_modifier_getName($str, $tolower=false)
{
	$name = ($dotpos = strrpos($str, '.')) ? substr($str, 0, $dotpos) : $str;
	return $tolower ? strtolower($name) : $name;
}

/* vim: set expandtab: */

?>