<?php
/* swphp:modulo configuracion */

$queries = array();

//Puede que el campo permiso_id se haya creado desde la actualización de SWPHP EA
$fields = $db->GetFields(SWPHP_DBPREFIX."config");
if(!isset($fields["permiso_id"]))
{
	$queries[] = "ALTER TABLE ".SWPHP_DBPREFIX."config ADD permiso_id SMALLINT(3) NOT NULL DEFAULT '2' AFTER texto";
}

$queries[] = "UPDATE ".SWPHP_DBPREFIX."config SET permiso_id = 1 WHERE variable = 'dominio' AND concepto = 'configuracion'";
$queries[] = "UPDATE ".SWPHP_DBPREFIX."config SET permiso_id = 1 WHERE variable = 'url' AND concepto = 'configuracion'";
$queries[] = "UPDATE ".SWPHP_DBPREFIX."config SET permiso_id = 0 WHERE variable = 'version' AND concepto = 'usointerno'";
$queries[] = "UPDATE ".SWPHP_DBPREFIX."config SET permiso_id = 0 WHERE concepto = 'configuracion_tinymce'";
$queries[] = "UPDATE ".SWPHP_DBPREFIX."config SET permiso_id = 1 WHERE concepto = 'configuracion_google'";

$ok = true;
foreach($queries as $query)
{
	if(!SWPHP::_ExecuteQuery($query, "", "ERROR ejecutando:<br />{$query}"))
	{
		$ok = false;
		break;
	}
}

$updOk = $ok;
