<?php
/* swphp:modulo contacto */

$ok = true;
$config_contacto = SWPHP::_GetConfigValues('contacto', false);
$queries = array();

if(!$db->TableExists(SWPHP_DBPREFIX."localizaciones", false))
{
	$queries[] = "CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."localizaciones` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
			`titulo` varchar(60) NOT NULL,
			`direccion1` varchar(60) NOT NULL,
			`direccion2` varchar(60) NOT NULL,
			`localidad` varchar(60) NOT NULL,
			`provincia` varchar(60) NOT NULL,
			`codigopostal` varchar(5) NOT NULL,
			`telefono` varchar(20) NOT NULL,
			`fax` varchar(20) NOT NULL,
			`movil` varchar(20) NOT NULL,
			`movil2` varchar(20) NOT NULL,
			`googlemaps` text NOT NULL,
			`horario1` varchar(255) NOT NULL,
			`horario2` varchar(255) NOT NULL,
			`peso` smallint(5) NOT NULL DEFAULT '0',
			`activo` tinyint(1) unsigned NOT NULL DEFAULT '1',
			`fechayhoraregistro` datetime NOT NULL,
			`fechayhoraultima` datetime NOT NULL,
			`user_idregistro` int(10) unsigned NOT NULL DEFAULT '0',
			`user_idultima` int(10) unsigned NOT NULL DEFAULT '0',
			PRIMARY KEY (`id`)
		) DEFAULT CHARSET=".str_replace('-', '', SWPHP_CHARSET);
	$queries[] = sprintf("INSERT INTO `".SWPHP_DBPREFIX."localizaciones` VALUES(null, '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '0', '1', '%s', '%s', '0', '0')",
		$swphp_config['titulo'],
		isset($config_contacto['direccion1']) ? addcslashes($config_contacto['direccion1'], "\\'") : '',
		isset($config_contacto['direccion2']) ? addcslashes($config_contacto['direccion2'], "\\'") : '',
		isset($config_contacto['localidad']) ? addcslashes($config_contacto['localidad'], "\\'") : '',
		isset($config_contacto['provincia']) ? addcslashes($config_contacto['provincia'], "\\'") : '',
		isset($config_contacto['codigopostal']) ? addcslashes($config_contacto['codigopostal'], "\\'") : '',
		isset($config_contacto['telefono']) ? addcslashes($config_contacto['telefono'], "\\'") : '',
		isset($config_contacto['fax']) ? addcslashes($config_contacto['fax'], "\\'") : '',
		isset($config_contacto['movil']) ? addcslashes($config_contacto['movil'], "\\'") : '',
		isset($config_contacto['movil2']) ? addcslashes($config_contacto['movil2'], "\\'") : '',
		isset($config_contacto['googlemaps']) ? addcslashes($config_contacto['googlemaps'], "\\'") : '',
		isset($config_contacto['horario1']) ? addcslashes($config_contacto['horario1'], "\\'") : '',
		isset($config_contacto['horario2']) ? addcslashes($config_contacto['horario2'], "\\'") : '',
		date('Y-m-d H:i:s'),
		date('Y-m-d H:i:s')
		);
}

foreach($queries as $query)
{
	if(!SWPHP::_ExecuteQuery($query, "", "ERROR ejecutando:<br />{$query}"))
	{
		$ok = false;
		break;
	}
}

if($ok)
{
	$arr = array('direccion1', 'direccion2', 'localidad', 'provincia', 'codigopostal', 'telefono', 'fax', 'movil', 'movil2', 'googlemaps', 'horario1', 'horario2');
	foreach($arr as $item)
	{
		SWPHP::_DeleteConfigValue($item, 'contacto');
	}
}

$updOk = $ok;
