<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-07
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/functions.inc.php
 *
 */

/**
 * Limpia las tablas relativas a kapitaltruth de registros huérfanos
 *
 * @return bool
 */
function kapitaltruth_limpiarTablas()
{
	global $db;

	$ok = true;

	//TODO: ¿más?

	$queries = array(
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_usuarios WHERE user_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."users)",
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_puntuaciones WHERE user_idactivo NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_usuarios) AND user_idpasivo NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_usuarios)",
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_puntuaciones_preguntas WHERE puntuacion_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_puntuaciones)",
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_preguntas_idiomas WHERE pregunta_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_preguntas)",
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_categorias_idiomas WHERE categoria_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_categorias)",
		"DELETE FROM ".SWPHP_DBPREFIX."kptl_respuestas_idiomas WHERE respuesta_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_respuestas)",
        "DELETE FROM ".SWPHP_DBPREFIX."kptl_grupos_idiomas WHERE grupo_id NOT IN(SELECT id FROM ".SWPHP_DBPREFIX."kptl_grupos)",
		);
	foreach($queries as $query)
	{
		$ok &= ($db->Execute($query) !== false);
	}

	return $ok;
}
