<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-08
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/functions.inc.php
 *
 */

require_once(SWPHP_COMMON_DIR.'classes/DB_Reg.class.php');
require_once(SWPHP_COMMON_DIR.'classes/SWPHP_Reg.class.php');
require_once(SWPHP_COMMON_DIR.'classes/SWPHP_User.class.php');
include_once(SWPHP_COMMON_DIR.'functions/date.php');
require($swphp_module_dir.'inc/classes/KPTL.class.php');
require($swphp_module_dir.'inc/classes/KPTL_User.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Pregunta.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Tesoro.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Puntuacion.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Movimiento.class.php');
require($swphp_module_dir.'inc/classes/KPTL_TiposMovimiento.class.php');
require($swphp_module_dir.'inc/classes/KPTL_Transferencia.class.php');
require($swphp_module_dir.'inc/classes/KPTL_ActuacionesAdmin.class.php');

function kapitaltruth_prelang($str)
{
	global $kptl_config;

    if(empty($kptl_config))
    {
        $kptl_config = SWPHP::_GetConfigValues('kapitaltruth', false, 'kptl_config');
    }

    return str_replace(array('[KPTL_puntos]', '[KPTL_punto]', '[KPTL_Puntos]', '[KPTL_Punto]'),
        array($kptl_config['KPTL_puntos'], $kptl_config['KPTL_punto'], ucfirst($kptl_config['KPTL_puntos']), ucfirst($kptl_config['KPTL_punto'])),
        $str);
}

function kapitaltruth_checkLogueado(&$template)
{
	global $db;

	if(isset($_SESSION['user']['autenticado']) && $_SESSION['user']['autenticado'])
	{
		if(isset($_SESSION['user']['kptl']))
		{
			$kptl_user = unserialize($_SESSION['user']['kptl']);

			if(is_object($kptl_user) && get_class($kptl_user) == 'KPTL_User')
			{
				$kptl_user->SetLinkIdentifier($db->GetLinkIdentifier());

				if(KPTL::EsKPTL_User($kptl_user, true))
				{
					return $kptl_user;
				}
			}
		}

		if(KPTL::ExisteUsuario(array('user_id'=>$_SESSION['user']['id'])))
		{
			$row = KPTL_User::query_by_user_id($_SESSION['user']['id'], false);

			$kptl_user = new KPTL_User();
			if($kptl_user->Load($row['id']))
			{
				$_SESSION['user']['kptl'] = serialize($kptl_user);

				return $kptl_user;
			}

			SWPHP::_Msg(l('No se pudo cargar el usuario de KPTL.', 'kapitaltruth'), 'error');

			return false;
		}

		SWPHP::_Msg(l('Eres usuario del sistema pero NO eres usuario de KPTL.', 'kapitaltruth'), 'prohibido');
	}
	else
	{
		SWPHP::_PedirLogin($template);
	}

	return false;
}
?>