<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-20
 * para Francisco Ortega
 *
 */
class KPTL_Pregunta extends SWPHP_Reg
{
    /**
	 * Constructor
	 */
	function __construct($pregunta_id=null)
    {
        parent::__construct(SWPHP_DBPREFIX.'kptl_preguntas', $pregunta_id);
    }
    /**
     * Obtiene las posibles respuestas de la pregunta, en forma de array asociativo
     * donde los índices son los id de respuesta y los valores arrays asociativos con cada registro de respuesta
     *
     * @return array
     */
	function GetRespuestas()
	{
		$respuestas = array();

		$rs = DB_ResultSet::Factory($db->GetExtension());
		$rs->Set = $this->_db->Execute("SELECT * FROM ".SWPHP_DBPREFIX."kptl_respuestas AS r WHERE r.setrespuestas_id = '".$this->_data['setrespuestas_id']."'");
		while($reg = $rs->FetchAssoc())
		{
			$respuestas[$reg['id']] = $reg;
		}

		return $respuestas;
	}
}
?>