<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-05-07
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/inc/xajax/transferencias.xajax.php
 *
 */

function BuscarUsuario($q)
{
	$response = new xajaxResponse();

	ob_start();

	$users = KPTL_User::Buscar($q);
	if(is_array($users))
	{
		if(sizeof($users) > 0)
		{
			$elegir = l('Elegir', 'kapitaltruth');
			$elegirA = l('Elegir a', 'kapitaltruth');
			$html = '<div class="wall">';
			foreach($users as $user)
			{
				$html .= sprintf('<div><span id="nombre%u">(%s) %s</span> <a id="a_elegir%u" href="javascript:Elegir(%u)" title="%s %s">%s</a></div>',
					$user['id'], $user['nick'], $user['nombre'], $user['id'], $user['id'], $elegirA, $user['nick'], $elegir
					);
			}
			$html .= '</div>';
		}
		else
		{
			$html = l('Sin resultados', 'kapitaltruth');
		}
	}
	else
	{
		$html = l('Error en la búsqueda', 'kapitaltruth');
	}

	$response->assign('buscarusuario_resultados', 'innerHTML', $html);
	$response->script("stripeByClass('listado')");

	$str = ob_get_clean();
	if($str)
	{
		$response->alert(strip_tags($str));
	}

	return $response;
}

$xajax->registerFunction('BuscarUsuario');
?>