<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-10-30
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/multimedia/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function multimedia_instalar($info)
{
	global $db;

	$ok = true;

	$ok &= SWPHP::_CreateConfigValue('itemsPerRow', '4', 'multimedia', 'tag=input;type=text;size=5;maxlength=5;class=numeric', 'Elementos por fila');
	$ok &= SWPHP::_CreateConfigValue('thumbsWidth', '200', 'multimedia', 'tag=input;type=text;size=5;maxlength=5;class=numeric', 'Ancho de las imágenes en miniatura');
	$ok &= SWPHP::_CreateConfigValue('thumbsHeight', '150', 'multimedia', 'tag=input;type=text;size=5;maxlength=5;class=numeric', 'Alto de las imágenes en miniatura');
	$ok &= SWPHP::_CreateConfigValue('thumbsWidth2', '200', 'multimedia', 'tag=input;type=text;size=5;maxlength=5;class=numeric', 'Ancho de los iconos de carpeta');
	$ok &= SWPHP::_CreateConfigValue('thumbsHeight2', '130', 'multimedia', 'tag=input;type=text;size=5;maxlength=5;class=numeric', 'Alto de los iconos de carpeta');

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function multimedia_desinstalar($info)
{
	global $db;

	$ok = true;

	$ok &= SWPHP::_DeleteAllConfigValues('multimedia');

	return $ok;
}