<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-02-03
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/paginas/admin/index.php
 *
 */

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';

$mostrarprincipal = true;

//if($id > 0 && in_array($op, array('htmlpre','htmledit','htmlupd','edit','upd','on','off','del')) && !$db->GetValueQuery("SELECT editable FROM ".SWPHP_DBPREFIX."paginas WHERE id = '{$id}'", false))
if($id > 0 && in_array($op, array('htmlpre','htmledit','htmlupd','del')) && !$db->GetValueQuery("SELECT editable FROM ".SWPHP_DBPREFIX."paginas WHERE id = '{$id}'", false))
{
	//SWPHP::_Msg("La página Id.{$id} no es editable", 'error');
	SWPHP::_Msg("La página Id.{$id} no es editable ni se puede eliminar manualmente", 'error');
}
else switch($op)
{
	case "htmlpre":
		foreach($swphp_idiomas as $idioma)
		{
			$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'paginas_idiomas', "WHERE pagina_id = '{$id}'") ?
				buildQuery_Update(paginas_prepararDatosHTMLIdioma($_POST['idiomas'], $idioma['id'], true, $id), SWPHP_DBPREFIX."paginas_idiomas", array('pagina_id'=>$id, 'idioma_id'=>$idioma['id']), true)
				:
				buildQuery_Insert(paginas_prepararDatosHTMLIdioma($_POST['idiomas'], $idioma['id'], true, $id), SWPHP_DBPREFIX."paginas_idiomas");

			SWPHP::_ExecuteQuery(
				$query,
				'',
				"No se ha podido preparar la previsualización en {$idioma['nombre']}"
			);
		}
		//sigue
	case "htmledit":
		$registro = $db->GetRow("SELECT p.id, p.considebox, p.modulo_clave, p.simodulo FROM ".SWPHP_DBPREFIX."paginas AS p WHERE p.id = '{$id}'", true, true);
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT titulo, contenido, preview FROM ".SWPHP_DBPREFIX."paginas_idiomas WHERE pagina_id = '{$id}' AND idioma_id = '{$idioma['id']}'", true, false);
			$registro['idiomas'][$idioma['id']]['preview_code'] = base64_encode($registro['idiomas'][$idioma['id']]['preview']);
		}
		$smarty->assign("registro", $registro);
		$smarty->assign("modo", isset($_GET["modo"]) && $_GET["modo"] ? $_GET["modo"] : "wysiwyg");
		$smarty->assign("modulos", SWPHP::_GetModulos('frontend'));
		$admin_template = "{$swphp_module_templates_dir}admin/contenido.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");

		if($op == 'htmledit')
		{
			SWPHP::_AddDocumentReady("ContenidoModo();");
		}

		break;
	case "htmlupd":
		if(!empty($_POST))
		{
			$esModulo = isset($_POST['modo']) && $_POST['modo'] == 'modulo';
			$modulo_clave = isset($_POST['modulo']) && $_POST['modulo'] ? $_POST['modulo'] : '';
			$simodulo = isset($_POST['simodulo']) && $_POST['simodulo'] ? intval($_POST['simodulo']) : '';

			if($esModulo && !$modulo_clave)
			{
				SWPHP::_Msg('No se ha podido asociar el módulo', 'error');
			}
			else
			{
				$data = array(
					"fechayhoraultima"=>date("Y-m-d H:i:s"),//Fecha y hora actuales
					"user_idultima"=>$_SESSION["user"]["id"],//Usuario que hace el cambio
					"esteril"=>$esModulo ? 1 : 0,//TODO: En realidad debería forzarse esteril sólo si el módulo acepta parámetros por url amigable (parámetros page)
					"modulo_clave"=>$esModulo ? $modulo_clave : '',
					"simodulo"=>$simodulo,
					);
				if(SWPHP::_ExecuteQuery(
					buildQuery_Update($data, SWPHP_DBPREFIX."paginas", $id, false),
					_("Contenido actualizado correctamente."),
					_("No se ha podido actualizar el contenido.")
					))
				{
					if(!$esModulo || $simodulo > 1)
					{
						foreach($swphp_idiomas as $idioma)
						{
							$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'paginas_idiomas', "WHERE pagina_id = '{$id}'") ?
								buildQuery_Update(paginas_prepararDatosHTMLIdioma($_POST['idiomas'], $idioma['id'], false, $id), SWPHP_DBPREFIX."paginas_idiomas", array('pagina_id'=>$id, 'idioma_id'=>$idioma['id']), false)
								:
								buildQuery_Insert(paginas_prepararDatosHTMLIdioma($_POST['idiomas'], $idioma['id'], false, $id), SWPHP_DBPREFIX."paginas_idiomas");

							SWPHP::_ExecuteQuery(
								$query,
								'',
								"No se ha podido guardar el contenido en {$idioma['nombre']}"
								);
						}
					}
				}
			}
		}
		break;
	case "up":
		SWPHP::_SubirRegistro($id, SWPHP_DBPREFIX.'paginas');
		break;
	case "down":
		SWPHP::_BajarRegistro($id, SWPHP_DBPREFIX.'paginas');
		break;
	case "edit":
		$registro = $db->GetRow("SELECT id, padre_id, IF(icono<>'',icono,'".SWPHP_DEFAULT_ICON."') AS icono, estilo_id, conmenucontextual, enmenucontextual, considebox, mapaweb FROM ".SWPHP_DBPREFIX."paginas WHERE id = '{$id}'");
		if($registro["estilo_id"] == 0)
		{
			$registro["estilo_id"] = SWPHP::_GetPorDefecto("estilos");
		}
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT titulo, descripcion, keywords, textoenlace, title, friendly FROM ".SWPHP_DBPREFIX."paginas_idiomas WHERE pagina_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}
	case "new":
		if(!isset($registro))
		{
			$registro = array(
				'icono'=>SWPHP_DEFAULT_ICON,
				'estilo_id'=>SWPHP::_GetPorDefecto("estilos"),
				'enmenucontextual'=>true,
				'mapaweb'=>true,
				);
		}
		$smarty->assign("registro", $registro);
		$smarty->assign("paginas", paginas_getSelectPaginas($id));
		$smarty->assign("iconos", SWPHP::_GetIconos());
		$smarty->assign("estilos", $db->GetRows("SELECT id, nombre FROM ".SWPHP_DBPREFIX."estilos ORDER BY nombre ASC"));
		$admin_template = "{$swphp_module_templates_dir}admin/pagina.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");

		break;
	case "upd":
		if(paginas_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Update(paginas_prepararDatos($_POST, $id), SWPHP_DBPREFIX."paginas", $id),
				"Propiedades actualizadas correctamente",
				"No se ha podido actualizar el registro"
				))
			{
				foreach($swphp_idiomas as $idioma)
				{
					$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'paginas_idiomas', "WHERE pagina_id = '{$id}'") ?
						buildQuery_Update(paginas_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $_POST['padre_id'], $id), SWPHP_DBPREFIX."paginas_idiomas", array('pagina_id'=>$id, 'idioma_id'=>$idioma['id']))
						:
						buildQuery_Insert(paginas_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $_POST['padre_id'], $id), SWPHP_DBPREFIX."paginas_idiomas");

					SWPHP::_ExecuteQuery(
						$query,
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
	case "reg":
		if(paginas_validarDatos($_POST))
		{
			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert(paginas_prepararDatos($_POST), SWPHP_DBPREFIX."paginas"),
				"Página creada correctamente",
				"No se ha podido insertar el registro"
				))
			{
				$id = $db->Insert_Id();
				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Insert(paginas_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $_POST['padre_id'], $id), SWPHP_DBPREFIX."paginas_idiomas"),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
}

if($mostrarprincipal)
{
	$admin_template = "{$swphp_module_templates_dir}admin/paginas.tpl";

	$padre_id = 0;
	$paginas = $db->GetRows("SELECT p.id, p.padre_id, f.textoenlace AS padre, pi.titulo, p.icono, p.activo, p.editable, p.modulo_clave FROM ".SWPHP_DBPREFIX."paginas AS p JOIN ".SWPHP_DBPREFIX."paginas_idiomas AS pi ON p.id = pi.pagina_id AND pi.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."' LEFT JOIN ".SWPHP_DBPREFIX."paginas_idiomas AS f ON f.pagina_id = p.padre_id AND f.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."' ORDER BY p.padre_id, p.peso, p.id");
	for($c=0,$size=sizeof($paginas); $c<$size; $c++)
	{
		if($paginas[$c]['padre_id'] != $padre_id)
		{
			$padre_id = $paginas[$c]['padre_id'];

			$paginas[$c]['subir'] = false;
			$paginas[$c-1]['bajar'] = false;
		}
		else
		{
			$paginas[$c]['subir'] = !($c == 0);
		}

		$paginas[$c]['bajar'] = !($c == $size-1);
	}

	$smarty->assign('paginas', $paginas);
}

$smarty->assign('portada_id', SWPHP::_GetConfigValue("portada", "paginas", false));
