<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2016-11-28
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * lists.php
 *
 * Obtiene listas de recursos para utilizar desde tinymce
 *
 */

if(isset($_GET['q']))
{
	include('config/config-SWPHP.inc.php');
	include(SWPHP_COMMON_DIR.'functions/files.php');

	$sub = isset($_GET['sub']) && $_GET['sub'] ? str_replace(array(";",",",".","\\"), "", $_GET['sub']) : "uploads/";
	$dir = "files/{$sub}";
	if(substr($dir, strlen($dir)-1) != '/')
	{
		$dir .= '/';
	}

	switch($_GET['q'])
	{
		case 'template':
			$var = 'tinyMCETemplateList';
			$items = getItems(array('html','html','tpl'), $dir);
			break;
		case 'link':
			$var = 'tinyMCELinkList';
			$items = array(
				array($swphp_config['titulotitle'], $swphp_config['url']),
			);
			break;
		case 'image':
			$var = 'tinyMCEImageList';
			$items = getItems(array('jpg','jpeg','gif','png','bmp','tiff','ico'), $dir);
			break;
		case 'media':
			$var = 'tinyMCEMediaList';
			$items = getItems(array('swf','avi','mov','wmv','wma','mp3','mp4','mpeg','mpg','wav','mid'), $dir);
			break;
	}

	header('Content-Type: text/javascript');

	echo "var {$var} = new Array(\n";
	for($c=0,$size=sizeof($items); $c<$size; $c++)
	{
		$item = $items[$c];
		echo "[";
		for($k=0,$size2=sizeof($item); $k<$size2; $k++)
		{
			echo "\"{$item[$k]}\"";
			if($k < $size2-1)
			{
				echo ",";
			}
		}
		echo $c < $size-1 ? "],\n" : "]\n";
	}
	echo ");";
}

exit;


/* FUNCIONES */

function getItems($exts, $dir, $dir2="")
{
	$items = array();

	$files = getFilesExt($dir, $exts);
	foreach($files as $file)
	{
		$items[] = array(getName($file), str_replace('../','',$dir.$file));
	}

	if($dir2)
	{
		$files = getFilesExt($dir2, $exts);
		foreach($files as $file)
		{
			$items[] = array(getName($file), str_replace('../','',$dir2.$file));
		}
	}

	return $items;
}
